---
title: BluetoothRemoteGATTServer
slug: Web/API/BluetoothRemoteGATTServer
tags:
  - API
  - Bluetooth
  - BluetoothRemoteGATTServer
  - Experimental
  - Interface
  - Reference
  - Web Bluetooth API
---
<div>{{APIRef("Bluetooth API")}}{{SeeCompatTable}}</div>

<p>The <code><strong>BluetoothRemoteGATTServer</strong></code> interface of the <a href="/en-US/docs/Web/API/Web_Bluetooth_API">Web Bluetooth API</a> represents a GATT Server on a remote device.</p>

<div class="note">
<p>This page describes the W3C Community Group Web Bluetooth API. For the Firefox OS Bluetooth API, see <a href="/en-US/docs/Archive/B2G_OS/API/BluetoothGattServer"><code>BluetoothGattServer</code> (Firefox OS)</a>.</p>
</div>

<h2 id="Interface">Interface</h2>

<pre class="syntaxbox">interface BluetoothRemoteGATTServer {
  readonly attribute BluetoothDevice device;
  readonly attribute boolean connected;

  Promise&lt;BluetoothRemoteGATTServer&gt; connect();
  void disconnect();
  Promise&lt;BluetoothRemoteGATTService&gt; getPrimaryService(BluetoothServiceUUID service);
  Promise&lt;sequence&lt;BluetoothRemoteGATTService&gt;&gt; getPrimaryServices(optional BluetoothServiceUUID service);
};</pre>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{DOMxRef("BluetoothRemoteGATTServer.connected")}}{{ReadOnlyInline}}</dt>
 <dd>A boolean value that returns true while this script execution environment is connected to <code>this.device</code>. It can be false while the user agent is physically connected.</dd>
 <dt>{{DOMxRef("BluetoothRemoteGATTServer.device")}}{{ReadOnlyInline}}</dt>
 <dd>A reference to the {{DOMxRef("BluetoothDevice")}} running the server.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{DOMxRef("BluetoothRemoteGATTServer.connect()")}}</dt>
 <dd>Causes the script execution environment to connect to <code>this.device</code>.</dd>
 <dt>{{DOMxRef("BluetoothRemoteGATTServer.disconnect()")}}</dt>
 <dd>Causes the script execution environment to disconnect from <code>this.device</code>.</dd>
 <dt>{{DOMxRef("BluetoothRemoteGATTServer.getPrimaryService()")}}</dt>
 <dd>Returns a promise to the primary {{DOMxRef("BluetoothGATTService")}} offered by the bluetooth device for a specified <code>BluetoothServiceUUID</code>.</dd>
 <dt>{{DOMxRef("BluetoothRemoteGATTServer.getPrimaryServices()")}}</dt>
 <dd>Returns a promise to a list of primary {{DOMxRef("BluetoothGATTService")}} objects offered by the bluetooth device for a specified <code>BluetoothServiceUUID</code>.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Web Bluetooth", "#bluetoothremotegattserver", "BluetoothRemoteGATTServer")}}</td>
   <td>{{Spec2("Web Bluetooth")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.BluetoothRemoteGATTServer")}}</p>

<div>{{APIRef("Web Bluetooth")}}</div>
